clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::InheritingConcreteTypeLoc< Base, Derived, TypeClass > Class Template Reference

A metaprogramming class designed for concrete subtypes of abstract types where all subtypes share equivalently-structured source information. More...

`#include "clang/AST/TypeLoc.h"`

Inheritance diagram for clang::InheritingConcreteTypeLoc< Base, Derived, TypeClass >:
[legend]
Collaboration diagram for clang::InheritingConcreteTypeLoc< Base, Derived, TypeClass >:
[legend]

## Public Member Functions
const TypeClass * | getTypePtr () const

## Friends
class | TypeLoc

## Detailed Description

### template<class Base, class Derived, class TypeClass>
class clang::InheritingConcreteTypeLoc< Base, Derived, TypeClass >

A metaprogramming class designed for concrete subtypes of abstract types where all subtypes share equivalently-structured source information.

See the note on ConcreteTypeLoc.

Definition at line 486 of file TypeLoc.h.

## Member Function Documentation

## ◆ getTypePtr()

template<class Base, class Derived, class TypeClass>

const TypeClass* clang::InheritingConcreteTypeLoc< Base, Derived, TypeClass >::getTypePtr | ( |  | ) | const
| inline

Definition at line 502 of file TypeLoc.h.

Referenced by clang::Sema::checkThisInStaticMemberFunctionExceptionSpec(), clang::Sema::checkThisInStaticMemberFunctionType(), clang::Sema::DeduceTemplateArguments(), formatBlockPlaceholder(), clang::TypeLoc::getBeginLoc(), clang::TypeLoc::getEndLoc(), clang::TreeTransform< Derived >::TransformExceptionSpec(), clang::TreeTransform< Derived >::TransformFunctionProtoType(), and clang::TreeTransform< Derived >::TransformReferenceType().

## Friends And Related Function Documentation

## ◆ TypeLoc

template<class Base, class Derived, class TypeClass>

friend class TypeLoc
| friend

Definition at line 487 of file TypeLoc.h.

The documentation for this class was generated from the following file:

- include/clang/AST/TypeLoc.h